Summary:     The PGP Public Key Server
Name:        pks
Version:     0.9.4
Release:     2.pp
License:     Own
Group:       Environment/Daemons
Source0:     http://www.mit.edu/people/marc/%{name}/%{name}-%{version}.tar.gz
Source1:     pksd.init
Source2:     pksd.crond
Source3:     email-help.tar.gz
Patch0:      http://www.mit.edu/people/marc/%{name}/pks094-patch2
Patch1:      http://www.mit.edu/people/marc/%{name}/x509patch
URL:         http://www.mit.edu/people/marc/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Provides:    %{name}.pp
Prereq:      /bin/bash /bin/chown /bin/chmod /usr/sbin/useradd /usr/sbin/groupadd
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel
ExclusiveOS: linux


%description
The PGP Public Key Server Software from Marc Horowitz <marc@mit.edu>.


%prep
%setup -q -a3
%patch0 -p1
%patch1 -p0


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
        --prefix=/usr                \
        --sysconfdir=/etc            \
        --localstatedir=/var/lib/pks \
        --mandir=/usr/share/man      \
	--datadir=/usr/share/pks
make
                                                                                                                                                            
                                                                                                                                                            
%define __os_install_post /usr/lib/rpm/brp-compress
                                                                                                                                                            
                                                                                                                                                            
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/libexec/pks
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/pks
mkdir -p $RPM_BUILD_ROOT/var/lib/pks
make \
	prefix=$RPM_BUILD_ROOT/usr                 \
	datadir=$RPM_BUILD_ROOT/usr/share/pks      \
	sysconfdir=$RPM_BUILD_ROOT/etc             \
	localstatedir=$RPM_BUILD_ROOT/var/lib/pks  \
	man5dir=$RPM_BUILD_ROOT/usr/share/man/man5 \
	man8dir=$RPM_BUILD_ROOT/usr/share/man/man8 \
	install
mv $RPM_BUILD_ROOT/usr/bin/db_* $RPM_BUILD_ROOT/usr/libexec/pks
mv $RPM_BUILD_ROOT/usr/bin/pksd $RPM_BUILD_ROOT/usr/sbin
install -m 644 pks_help.* $RPM_BUILD_ROOT/usr/share/pks/
ln -sf pks_help.en $RPM_BUILD_ROOT/usr/share/pks/pks_help
install -m 755 $RPM_SOURCE_DIR/pksd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/pksd
install -m 755 $RPM_SOURCE_DIR/pksd.crond $RPM_BUILD_ROOT/etc/cron.d/pksd
chmod a-x $RPM_BUILD_ROOT/etc/* $RPM_BUILD_ROOT/usr/share/man/man*/*
chmod a-x $RPM_BUILD_ROOT/usr/share/pks/*


%pre
if ! grep pks /etc/group > /dev/null 2>&1; then
   /usr/sbin/groupadd pks > /dev/null 2>&1
fi
if ! grep pks /etc/passwd > /dev/null 2>&1; then
   /usr/sbin/useradd -g pks -G pks -d /var/lib/pks \
        -r -s /dev/null pks > /dev/null 2>&1
fi
                                                                                                                                                            
                                                                                                                                                            
%post
/bin/chown -R pks:pks /var/lib/pks
/sbin/chkconfig --add pksd
/sbin/chkconfig pksd on
if [ -s /etc/pksd.conf ]; then
   if [ -f /var/lock/subsys/pksd ]; then
      /etc/rc.d/init.d/pksd restart
   fi
fi
                                                                                                                                                            
                                                                                                                                                            
%preun
if [ $1 = 0 ] ; then
   /sbin/chkconfig pksd off
   /sbin/chkconfig --del pksd
   if [ -f /var/lock/subsys/pksd ]; then
      /etc/rc.d/init.d/pksd stop
   fi
fi


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc LICENSE NEWS README pks-commands.html
%config /etc/cron.d/*
/etc/rc.d/init.d/*
%config(noreplace) %attr(0640,root,pks) /etc/pksd.conf
/usr/bin/*
%dir /usr/libexec/pks
/usr/libexec/pks/*
/usr/sbin/*
/usr/share/man/man5/*
/usr/share/man/man8/*
%dir /usr/share/pks
%config /usr/share/pks/*
%dir %attr(770,pks,pks) /var/lib/pks
%attr(770,pks,pks) /var/lib/pks/*


%changelog
* Tue Feb 03 2004 peter.pramberger@1012surf.net
- created

